﻿@model Contabilidad.Site.Models.Product.ProductCreateViewModel
@{
    ViewData["Title"] = @Contabilidad.Resources.CommonResources.Create;
}
<div class="row clearfix">
    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">
                <h2>@Contabilidad.Resources.CommonResources.Create @Contabilidad.Resources.Models.Accounting.Product.Product.modelName</h2>
                <div class="clearfix"></div>
            </div>
            <div class="x_content">
                <form method="post" enctype="multipart/form-data">
                    @if (ViewData.ModelState[string.Empty]?.Errors?.Any() == true)
                    {
                        <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                            <div class="card">
                                <div class="body bg-red">
                                    <div asp-validation-summary="ModelOnly"></div>
                                </div>
                            </div>
                        </div>
                    }

                    <label asp-for="Name">@Html.DisplayNameFor(Model => Model.Name)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <input asp-for="Name" class="form-control" />
                        </div>
                        <ul class="parsley-errors-list filled">
                            <li>
                                <span asp-validation-for="Name"></span>
                            </li>
                        </ul>
                    </div>

                    <label asp-for="Description">@Html.DisplayNameFor(Model => Model.Description)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <input asp-for="Description" class="form-control" />
                        </div>
                        <ul class="parsley-errors-list filled">
                            <li>
                                <span asp-validation-for="Description"></span>
                            </li>
                        </ul>
                    </div>

                    <label asp-for="Image">@Html.DisplayNameFor(Model => Model.Image)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <input asp-for="Image" type="file" data-target="#pictureBtn" data-edit="insertImage" />
                        </div>
                        <ul class="parsley-errors-list filled">
                            <li>
                                <span asp-validation-for="Image"></span>
                            </li>
                        </ul>
                    </div>


                    <label asp-for="IdBrand">@Html.DisplayNameFor(Model => Model.IdBrand)</label>
                    <div class="form-group">
                        <div class="form-line">
                            <select class="form-control selectpicker" title="@Html.DisplayNameFor(Model => Model.Brands)" asp-for="IdBrand" data-live-search="true" asp-items="@(new SelectList(Model.Brands,"Id","Value"))"></select>
                        </div>
                        <ul class="parsley-errors-list filled">
                            <li>
                                <span asp-validation-for="IdBrand"></span>
                            </li>
                        </ul>
                    </div>

                    <div class="form-group">
                        <label asp-for="IdModel">@Html.DisplayNameFor(Model => Model.IdModel)</label>
                        <div class="form-line">
                            <select class="form-control selectpicker" title="@Html.DisplayNameFor(Model => Model.Models)" asp-for="IdModel" data-live-search="true" asp-items="@(new SelectList(Model.Models,"Id","Value"))"></select>
                        </div>
                        <ul class="parsley-errors-list filled">
                            <li>
                                <span asp-validation-for="IdModel"></span>
                            </li>
                        </ul>
                    </div>

                    <div class="form-group">
                        <label asp-for="IdProductCategory">@Html.DisplayNameFor(Model => Model.IdProductCategory)</label>
                        <div class="form-line">
                            <select class="form-control selectpicker" title="@Html.DisplayNameFor(Model => Model.ProductCategories)" asp-for="IdProductCategory" data-live-search="true" asp-items="@(new SelectList(Model.ProductCategories,"Id","Value"))"></select>
                        </div>
                        <ul class="parsley-errors-list filled">
                            <li>
                                <span asp-validation-for="IdProductCategory"></span>
                            </li>
                        </ul>
                    </div>

                    <div class="form-group">
                        <label asp-for="IdMeasurementUnit">@Html.DisplayNameFor(Model => Model.IdMeasurementUnit)</label>
                        <div class="form-line">
                            <select class="form-control selectpicker" title="@Html.DisplayNameFor(Model => Model.MeasurementUnits)" asp-for="IdMeasurementUnit" data-live-search="true" asp-items="@(new SelectList(Model.MeasurementUnits,"Id","Value"))"></select>
                        </div>
                        <ul class="parsley-errors-list filled">
                            <li>
                                <span asp-validation-for="IdMeasurementUnit"></span>
                            </li>
                        </ul>
                    </div>

                    <div align="right">
                        <a href="#confirm" class="btn btn-primary waves-effect" data-toggle="modal" data-target="#confirm">@Contabilidad.Resources.CommonResources.SaveChanges</a>
                    </div>
                    <div class="modal fade" id="confirm" tabindex="-1" role="dialog">
                        <div class="modal-dialog" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h4 class="modal-title" id="defaultModalLabel">@Contabilidad.Resources.CommonResources.Create @Contabilidad.Resources.Models.Accounting.Product.Product.modelName</h4>
                                </div>
                                <div class="modal-body">
                                    @Contabilidad.Resources.Models.Accounting.Product.Product.CreateMessage
                                </div>
                                <div class="modal-footer">
                                    <input type="submit" id="submitbutton" value="@Contabilidad.Resources.CommonResources.SaveChanges" data-disableonclick="true" class="btn btn-primary waves-effect" />
                                    <button type="button" class="btn btn-default waves-effect" data-dismiss="modal">@Contabilidad.Resources.CommonResources.Cancel</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

@section scripts{
    <script type="text/javascript">

        $(".custom-file-input").on("change", function () {
            var fileName = $(this).val().split("\\").pop();
            $(this).siblings(".custom-file-label").addClass("selected").html(fileName);
        });
    </script>
}  